package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 核查结果(1.加分或扣分,2.不扣分)枚举类
*
* @author zxfei
*/
public enum CheckResultEnum {
    加分或扣分("加分或扣分", "加分或扣分"),
    不扣分("不扣分", "不扣分");
    private String value;
    private String desc;

    CheckResultEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static CheckResultEnum getByValue(String value) {
        for (CheckResultEnum checkResultEnum : CheckResultEnum.values()) {
            if (checkResultEnum.getValue() == value) {
                return checkResultEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (CheckResultEnum item : CheckResultEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}